For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • GETGet Npts
      • POSTCreate Npt
      • GETGet Npt
      • PUTUpdate Npt
      • DELRemove Npt
      • GETPlanned allocations and actual timesheet minutes for a non-project task, grouped by resource.
LogoLogo
SupportContact salesStart free trial
API ReferenceNpt

Get Npt

GET
https://api.projectmanager.com/api/data/non-project-tasks/:nptId
GET
/api/data/non-project-tasks/:nptId
$curl https://api.projectmanager.com/api/data/non-project-tasks/nptId \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue",
13 "data": {
14 "id": "string",
15 "name": "string",
16 "description": "string",
17 "plannedStartDate": "2023-01-15",
18 "plannedFinishDate": "2023-01-15",
19 "actualStartDate": "2023-01-15",
20 "actualFinishDate": "2023-01-15",
21 "actualEffort": 1,
22 "actualDuration": 1,
23 "actualCost": 1.1,
24 "plannedCost": 1.1,
25 "plannedDuration": 1,
26 "plannedEffort": 1,
27 "priorityId": 1,
28 "percentComplete": 1,
29 "status": {
30 "id": "string",
31 "name": "string",
32 "order": 1,
33 "isDone": true
34 },
35 "assignees": [
36 {
37 "id": "string",
38 "initials": "string",
39 "name": "string",
40 "description": "string",
41 "isActive": true,
42 "colorName": "string",
43 "firstName": "string",
44 "lastName": "string",
45 "shortName": "string",
46 "avatarUrl": "string",
47 "email": "string"
48 }
49 ],
50 "shortId": "string",
51 "tags": [
52 {
53 "id": "string",
54 "name": "string",
55 "color": "string"
56 }
57 ],
58 "todos": [
59 {
60 "id": "string",
61 "text": "string",
62 "complete": true,
63 "createDate": "2024-01-15T09:30:00Z",
64 "modifyDate": "2024-01-15T09:30:00Z"
65 }
66 ],
67 "createDate": "2024-01-15T09:30:00Z",
68 "owner": {
69 "id": "string",
70 "initials": "string",
71 "firstName": "string",
72 "lastName": "string",
73 "email": "string",
74 "isActive": true,
75 "color": "string",
76 "avatarUrl": "string"
77 },
78 "ownerId": "string",
79 "discussionData": {
80 "count": 1,
81 "lastUpdatedDate": "2024-01-15T09:30:00Z",
82 "lastReadDate": "2024-01-15T09:30:00Z"
83 },
84 "fileData": {
85 "count": 1,
86 "lastUpdatedDate": "2024-01-15T09:30:00Z",
87 "lastReadDate": "2024-01-15T09:30:00Z"
88 },
89 "recurring": true,
90 "recurringParentTaskId": "string",
91 "recurringSettings": {
92 "type": 1,
93 "repeatEvery": 1,
94 "repeatOn": [
95 1
96 ],
97 "repeatOn2Level": 1,
98 "endsOn": "2024-01-15T09:30:00Z",
99 "endsAfter": 1
100 }
101 }
102}
Retrieve a Non-Project Task (NPT) by its unique identifier or by its short ID. An NPT has both a unique identifier, which is a GUID, and a short ID, which is a small text label that is unique only within your Workspace. A Non-Project Task (NPT) is an individual element of work that is outside of a project. Many people use NPTs to track personal work or general administrative work. NPTs have nearly all the same features as other tasks, but since they are not part of a project, they can be tracked separately by individuals.
Was this page helpful?
Previous

Update Npt

Next
Built with

Retrieve a Non-Project Task (NPT) by its unique identifier or by its short ID.
An NPT has both a unique identifier, which is a GUID, and a short ID, which is a small text label that is unique only within your Workspace.

A Non-Project Task (NPT) is an individual element of work that is outside of a project. Many people use NPTs to track personal work or general administrative work. NPTs have nearly all the same features as other tasks, but since they are not part of a project, they can be tracked separately by individuals.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

nptIdstringRequired
the id of the npt

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.
dataobject
A Npt is a task that does not belong to the project. It is only visible to the person who created it, and the users assigned to it. NPT's are a lightweight version of a project task.